Announcement Unofficial Plugin Repo for 0.5 Sardaukar, 1.0 Kralizec, 2.0 Stoneburner, 3.0 Erasmus, 4.0 Arrakis

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • jfromeo wrote:

      I know that almost only @ryecoaaron is working in porting/maintaining the plugins part, but I would like to ask if any torrent client will be ported to arrakis (like Deluge or Transmission in erasmus)

      I have very little knowledge about Docker and I would prefer to run it via plugin.
      While I realize you would prefer the plugin, did you check out this guide on how to run lots of services in a docker? - OMV + Docker plugin media server (Plex, PlexPy, Ombi, Libresonic, NZBGet, ruTorrent, Sonarr, Radarr, Mylar, and more)
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ryecoaaron wrote:

      jfromeo wrote:

      I know that almost only @ryecoaaron is working in porting/maintaining the plugins part, but I would like to ask if any torrent client will be ported to arrakis (like Deluge or Transmission in erasmus)

      I have very little knowledge about Docker and I would prefer to run it via plugin.
      While I realize you would prefer the plugin, did you check out this guide on how to run lots of services in a docker? - OMV + Docker plugin media server (Plex, PlexPy, Ombi, Libresonic, NZBGet, ruTorrent, Sonarr, Radarr, Mylar, and more)
      Thank you, I will try :)
      || omv 4.0.14 | kernel 4.9.0 | omvextrasorg 4.1.0 ||
    • installed OMWEXTRAS per instructions in omw-extras.org. Activated the HWRaid repo and recieved the following error output after doing a refresh:


      Source Code

      1. Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; apt-get update 2>&1' with exit code '100': Reading package lists... E : Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable) E : Unable to lock directory /var/lib/apt/lists/
      2. Error #0:
      3. OMV\ExecException: Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C; apt-get update 2>&1' with exit code '100': Reading package lists...
      4. E
      5. :
      6. Could not get lock /var/lib/apt/lists/lock - open (11: Resource temporarily unavailable)
      7. E
      8. :
      9. Unable to lock directory /var/lib/apt/lists/
      10. in /usr/share/openmediavault/engined/rpc/apt.inc:220
      11. Stack trace:
      12. #0 /usr/share/php/openmediavault/rpc/serviceabstract.inc(528): OMVRpcServiceApt->{closure}('/tmp/bgstatus1v...', '/tmp/bgoutputvj...')
      13. #1 /usr/share/openmediavault/engined/rpc/apt.inc(224): OMV\Rpc\ServiceAbstract->execBgProc(Object(Closure))
      14. #2 [internal function]: OMVRpcServiceApt->update(NULL, Array)
      15. #3 /usr/share/php/openmediavault/rpc/serviceabstract.inc(123): call_user_func_array(Array, Array)
      16. #4 /usr/share/php/openmediavault/rpc/rpc.inc(86): OMV\Rpc\ServiceAbstract->callMethod('update', NULL, Array)
      17. #5 /usr/sbin/omv-engined(536): OMV\Rpc\Rpc::call('Apt', 'update', NULL, Array, 1)
      18. #6 {main}
      Display All
    • septus wrote:

      installed OMWEXTRAS per instructions in omw-extras.org. Activated the HWRaid repo and recieved the following error output after doing a refresh:
      There is nothing omv-extras can do about this. Your system is performing an apt/dpkg command. You either need to wait for it to finish or reboot.
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Another APT process is currently running, maybe cron-apt or another apt-get background process. You do not have to worry about this.
      Absolutely no support through PM!

      I must not fear.
      Fear is the mind-killer.
      Fear is the little-death that brings total obliteration.
      I will face my fear.
      I will permit it to pass over me and through me.
      And when it has gone past I will turn the inner eye to see its path.
      Where the fear has gone there will be nothing.
      Only I will remain.

      Litany against fear by Bene Gesserit
    • septus wrote:

      Found out in another thread that the HWRaid repo isn't rely working, as it is empty.
      I would have mentioned that if I knew you were on OMV 4.x. I probably need to remove that repo from omv-extras.
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Running omv4 on intel hardware

      me wrote:

      Calculating upgrade... Done
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      1 not fully installed or removed.
      After this operation, 0 B of additional disk space will be used.
      Do you want to continue? [Y/n]
      Setting up openmediavault-omvextrasorg (4.1.2) ...
      Updating configuration database ...
      Traceback (most recent call last):
      File "/usr/sbin/omv-confdbadm", line 24, in <module>
      import openmediavault.confdbadm
      File "/usr/lib/python3/dist-packages/openmediavault/confdbadm.py", line 32, in <module>
      import openmediavault.config.datamodel
      File "/usr/lib/python3/dist-packages/openmediavault/config/__init__.py", line 23, in <module>
      from .database import *
      File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 37, in <module>
      import lxml.etree
      ImportError: /usr/lib/python3/dist-packages/lxml/etree.cpython-35m-x86_64-linux-gnu.so: symbol xmlBufContent, version LIBXML2_2.9.0 not defined in file libxml2.so.2 with link time reference
      dpkg: error processing package openmediavault-omvextrasorg (--configure):
      subprocess installed post-installation script returned error exit status 1
      Processing triggers for openmediavault (4.0.15-1) ...
      Updating locale files ...
      Updating file permissions ...
      Purging internal cache ...
      Restarting engine daemon ...
      Errors were encountered while processing:
      openmediavault-omvextrasorg
      E: Sub-process /usr/bin/dpkg returned an error code (1)
      Did the same on my RPI3 running omv4 and it upgraded just fine.

      Any ideas/suggestions ?

      *update*
      got an error posting to the forum, suggesting I should try again later, which I did. Only to find out it had done multiple postings. Sorry for that!
      Proof:
      [IMG:http://www2.dth.net/omv/omv_forum_posting.png]

      The post was edited 2 times, last by fromport ().

    • Running omv4 on intel hardware

      me wrote:

      Calculating upgrade... Done
      0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
      1 not fully installed or removed.
      After this operation, 0 B of additional disk space will be used.
      Do you want to continue? [Y/n]
      Setting up openmediavault-omvextrasorg (4.1.2) ...
      Updating configuration database ...
      Traceback (most recent call last):
      File "/usr/sbin/omv-confdbadm", line 24, in <module>
      import openmediavault.confdbadm
      File "/usr/lib/python3/dist-packages/openmediavault/confdbadm.py", line 32, in <module>
      import openmediavault.config.datamodel
      File "/usr/lib/python3/dist-packages/openmediavault/config/__init__.py", line 23, in <module>
      from .database import *
      File "/usr/lib/python3/dist-packages/openmediavault/config/database.py", line 37, in <module>
      import lxml.etree
      ImportError: /usr/lib/python3/dist-packages/lxml/etree.cpython-35m-x86_64-linux-gnu.so: symbol xmlBufContent, version LIBXML2_2.9.0 not defined in file libxml2.so.2 with link time reference
      dpkg: error processing package openmediavault-omvextrasorg (--configure):
      subprocess installed post-installation script returned error exit status 1
      Processing triggers for openmediavault (4.0.15-1) ...
      Updating locale files ...
      Updating file permissions ...
      Purging internal cache ...
      Restarting engine daemon ...
      Errors were encountered while processing:
      openmediavault-omvextrasorg
      E: Sub-process /usr/bin/dpkg returned an error code (1)

      Turned out plex somehow set an environment variable.
      I did a "unset LD_LIBRARY_PATH" and was able to finish the upgrade
    • Hello guys,

      some days ago I upgraded my omv3 to omv4. At the moment everything seems to work as expected.

      Now where we have vdr 2.2.0 (latest stable version) in the debian default repo, I would like to ask you, what you think about porting the following 3 plugins to omv4:
      • openmediavault-vdr 3.0.7
      • openmediavault-vdr-extras 3.0.4
      • openmediavault-vdr-vnsiserver 3.0.3

      I use the following packages from debian stretch:

      Source Code

      1. root@omv4:~# vdr -V
      2. vdr (2.2.0/2.2.0) - The Video Disk Recorder
      3. epgsearchonly (0.0.1) - Direct access to epgsearch's search menu
      4. conflictcheckonly (0.0.1) - Direct access to epgsearch's conflict check menu
      5. live (0.3.0) - Live Interactive VDR Environment
      6. quickepgsearch (0.0.1) - Quick search for broadcasts
      7. vnsiserver (1.5.1) - VDR-Network-Streaming-Interface (VNSI) Server
      8. epgsearch (1.0.1.beta5) - search the EPG for repeats and more

      Greetings Hoppel
      ---------------------------------------------------------------------------------------------------------------
      frontend software - tvos | android tv | libreelec | win10 | kodi krypton
      frontend hardware - appletv 4k | nvidia shield tv | odroid c2 | yamaha rx-a1020 | quadral chromium style 5.1 | samsung le40-a789r2
      -------------------------------------------
      backend software - debian | openmediavault | latest backport kernel | zfs raid-z2 | docker | emby | unifi | vdr | tvheadend | fhem
      backend hardware - supermicro x11ssh-ctf | xeon E3-1240L-v5 | 64gb ecc | 8x10tb wd red | digital devices max s8
      ---------------------------------------------------------------------------------------------------------------------------------------
    • hoppel118 wrote:

      what you think about porting the following 3 plugins to omv4:
      Did you try the OMV 3 plugins on OMV 4? Some just works and that is one that I would think would work.
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ryecoaaron wrote:

      Did you try the OMV 3 plugins on OMV 4? Some just works and that is one that I would think would work.

      Hello @ryecoaaron,

      what is the best way to download and install these omv3 packages to omv4?

      Greetings Hoppel
      ---------------------------------------------------------------------------------------------------------------
      frontend software - tvos | android tv | libreelec | win10 | kodi krypton
      frontend hardware - appletv 4k | nvidia shield tv | odroid c2 | yamaha rx-a1020 | quadral chromium style 5.1 | samsung le40-a789r2
      -------------------------------------------
      backend software - debian | openmediavault | latest backport kernel | zfs raid-z2 | docker | emby | unifi | vdr | tvheadend | fhem
      backend hardware - supermicro x11ssh-ctf | xeon E3-1240L-v5 | 64gb ecc | 8x10tb wd red | digital devices max s8
      ---------------------------------------------------------------------------------------------------------------------------------------
    • hoppel118 wrote:

      what is the best way to download and install these omv3 packages to omv4?
      You can download them here: bintray.com/openmediavault-plugin-developers/erasmus

      Just make sure you have a backup.
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • ryecoaaron wrote:

      I have created an unofficial plugin repository for OMV 0.5 Sardaukar, 0.6/1.0 Kralizec, 2.0 Stoneburner, 3.0 Erasmus, and 4.0 Arrakis.

      For OMV 3.x and 4.x, list of plugins, statuses, etc are found here.
      To install the omv-extras.org plugin, follow these steps.
      i've installed erasmus plugin extras and am trying to installed the mysql plugin. the page no longer displays a share on which to store the data. where does the mysql data go now?

    • winksmith wrote:

      where does the mysql data go now?
      It goes in the default mysql location - /var/lib/mysql.
      omv 4.1.12 arrakis | 64 bit | 4.15 proxmox kernel | omvextrasorg 4.1.11
      omv-extras.org plugins source code and issue tracker - github

      Please read this before posting a question and this and this for docker questions.
      Please don't PM for support... Too many PMs!
    • Hi everyone, i've got an issue with OMV 4.0, after installating omv extras and updating distro I still cannot see transmission plugin in plugin section. Of course custom repos are enabled and plugin site refreshed. What am I doing wrong?
      Images
      • Przechwytywanie.PNG

        19.3 kB, 578×454, viewed 163 times
      • Przechwytywanie.PNG

        43.87 kB, 860×593, viewed 160 times
    • Users Online 1

      1 Guest